## org.codehaus.plexus.util
Class DirectoryWalker

    java.lang.Object
      org.codehaus.plexus.util.DirectoryWalker

    public class DirectoryWalker

extends Object

DirectoryWalker

Version:
  $Id: DirectoryWalker.java 8010 2009-01-07 12:59:50Z vsiveton $

Constructor Summary
`DirectoryWalker()`

Method Summary
`void` `addDirectoryWalkListener(DirectoryWalkListener listener)`
`void` `addExclude(String exclude)`
`void` `addInclude(String include)`
`void` `addSCMExcludes()` Add's to the Exclude List the default list of SCM excludes.
`File` `getBaseDir()`
`List` `getExcludes()`
`List` `getIncludes()`
`void` `removeDirectoryWalkListener(DirectoryWalkListener listener)` Removes a DirectoryWalkListener.
`void` `scan()` Performs a Scan against the provided `setBaseDir(File)`
`void` `setBaseDir(File baseDir)`
`void` `setDebugMode(boolean debugEnabled)`
`void` `setExcludes(List entries)`
`void` `setIncludes(List entries)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DirectoryWalker

    public DirectoryWalker()

Method Detail

### addDirectoryWalkListener

    public void addDirectoryWalkListener(DirectoryWalkListener listener)

### addExclude

    public void addExclude(String exclude)

### addInclude

    public void addInclude(String include)

### addSCMExcludes

    public void addSCMExcludes()

  Add's to the Exclude List the default list of SCM excludes.

### setDebugMode

    public void setDebugMode(boolean debugEnabled)

### getBaseDir

    public File getBaseDir()

  Returns:
    Returns the baseDir.

### getExcludes

    public List getExcludes()

  Returns:
    Returns the excludes.

### getIncludes

    public List getIncludes()

  Returns:
    Returns the includes.

### removeDirectoryWalkListener

    public void removeDirectoryWalkListener(DirectoryWalkListener listener)

  Removes a DirectoryWalkListener.

  Parameters:
    `listener` - the listener to remove.

### scan

    public void scan()

  Performs a Scan against the provided `setBaseDir(File)`

### setBaseDir

    public void setBaseDir(File baseDir)

  Parameters:
    `baseDir` - The baseDir to set.

### setExcludes

    public void setExcludes(List entries)

  Parameters:
    `entries` - The excludes to set.

### setIncludes

    public void setIncludes(List entries)

  Parameters:
    `entries` - The includes to set.